---
base_model:
- Alelcv27/Llama3.1-8B-Base-Math
- Alelcv27/Llama3.1-8B-Base-Code
- meta-llama/Llama-3.1-8B
library_name: transformers
tags:
- mergekit
- merge

---
# Llama3.1-8B-Base-DARE-Math-Code

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [Linear DARE](https://arxiv.org/abs/2311.03099) merge method using [meta-llama/Llama-3.1-8B](https://huggingface.co/meta-llama/Llama-3.1-8B) as a base.

### Models Merged

The following models were included in the merge:
* [Alelcv27/Llama3.1-8B-Base-Math](https://huggingface.co/Alelcv27/Llama3.1-8B-Base-Math)
* [Alelcv27/Llama3.1-8B-Base-Code](https://huggingface.co/Alelcv27/Llama3.1-8B-Base-Code)

### Configuration

The following YAML configuration was used to produce this model:

```yaml
base_model: meta-llama/Llama-3.1-8B
dtype: float16
merge_method: dare_linear
modules:
  default:
    slices:
    - sources:
      - layer_range: [0, 32]
        model: Alelcv27/Llama3.1-8B-Base-Code
        parameters:
          weight: 0.5
      - layer_range: [0, 32]
        model: Alelcv27/Llama3.1-8B-Base-Math
        parameters:
          weight: 0.5
      - layer_range: [0, 32]
        model: meta-llama/Llama-3.1-8B
```
